summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/keystone/Manifest1
-rw-r--r--sys-auth/keystone/keystone-8.0.1-r1.ebuild2
-rw-r--r--sys-auth/keystone/keystone-8.1.0.ebuild230
3 files changed, 232 insertions, 1 deletions
diff --git a/sys-auth/keystone/Manifest b/sys-auth/keystone/Manifest
index a820be42762..52408fbe6aa 100644
--- a/sys-auth/keystone/Manifest
+++ b/sys-auth/keystone/Manifest
@@ -1 +1,2 @@
DIST keystone-8.0.1.tar.gz 1067603 SHA256 4d1a76e879eb5fc977692892d1dce46a0190bf17d57056d634d377ea4511b475 SHA512 2b61b8dc38df3e3fa7c684b55f19b48391f087f00a6156732e1d6d207f36f6d23fff3adaaacbb4b7629686b4fce8a963189051bb0c2f0dad02c219832dc64af5 WHIRLPOOL 812c553d493a26adc0b6c76db3b9b8e7da35593425ac7bf986aa3b6e1b51f3816f95b4a84339902e16f8a3d61a6bd053ab4e310e77f8ce874ed4165395cd9799
+DIST keystone-8.1.0.tar.gz 1070643 SHA256 2a068686c3392215547c51579b6ffe782c61629881b77c204340f942713395ba SHA512 ae13a6f615e9afe10ca8ccbf47c2e1ded2804e2f185f6b96446bf02d4f428c461971614490fbf25220693fae79b478d4ff2a78c414f00d77b1f0014845bb72df WHIRLPOOL a6a66ccbe151d51189e0f2a5dd393766ab8cb39085bab985f6818e69c7448d145a8d0937c66399bcc15c298338021069d782f41102c6258ad15a546d32d5d4da
diff --git a/sys-auth/keystone/keystone-8.0.1-r1.ebuild b/sys-auth/keystone/keystone-8.0.1-r1.ebuild
index 00368865308..8d7acadb9e8 100644
--- a/sys-auth/keystone/keystone-8.0.1-r1.ebuild
+++ b/sys-auth/keystone/keystone-8.0.1-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 x86"
+KEYWORDS="amd64 ~arm64 x86"
IUSE="+sqlite memcached mongo mysql postgres ldap test"
REQUIRED_USE="|| ( mysql postgres sqlite )"
diff --git a/sys-auth/keystone/keystone-8.1.0.ebuild b/sys-auth/keystone/keystone-8.1.0.ebuild
new file mode 100644
index 00000000000..1c00b9b1a1f
--- /dev/null
+++ b/sys-auth/keystone/keystone-8.1.0.ebuild
@@ -0,0 +1,230 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 user
+
+DESCRIPTION="The Openstack authentication, authorization, and service catalog"
+HOMEPAGE="https://launchpad.net/keystone"
+SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+sqlite memcached mongo mysql postgres ldap test"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ ${RDEPEND}
+ >=dev-python/bashate-0.2[${PYTHON_USEDEP}]
+ <=dev-python/bashate-0.3.2[${PYTHON_USEDEP}]
+ memcached? (
+ >=dev-python/python-memcached-1.48[${PYTHON_USEDEP}]
+ <=dev-python/python-memcached-1.57[${PYTHON_USEDEP}]
+ )
+ mongo? (
+ >=dev-python/pymongo-2.6.3[${PYTHON_USEDEP}]
+ <dev-python/pymongo-3.2[${PYTHON_USEDEP}]
+ )
+ ldap? (
+ >=dev-python/python-ldap-2.4[$(python_gen_usedep 'python2_7')]
+ <=dev-python/python-ldap-2.4.20[$(python_gen_usedep 'python2_7')]
+ ~dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
+ )
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+ <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
+ >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
+ <=dev-python/lxml-3.5.0-r9999[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.2[${PYTHON_USEDEP}]
+ <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
+ <=dev-python/webtest-2.0.20[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
+ <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
+ !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
+ !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
+ <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
+ )"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
+ <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
+ ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
+ >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
+ <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
+ <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
+ >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
+ !~dev-python/routes-2.0[${PYTHON_USEDEP}]
+ !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
+ <=dev-python/routes-2.2[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
+ <=dev-python/cryptography-1.1.2-r9999[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ <=dev-python/six-1.10.0-r9999[${PYTHON_USEDEP}]
+ sqlite? (
+ >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
+ )
+ mysql? (
+ dev-python/mysql-python
+ >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+ )
+ postgres? (
+ dev-python/psycopg:2
+ >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
+ <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+ )
+ >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
+ <=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
+ <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.6[${PYTHON_USEDEP}]
+ <=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
+ !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
+ <=dev-python/python-keystoneclient-2.0.0-r9999[${PYTHON_USEDEP}]
+ >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
+ <=dev-python/keystonemiddleware-4.0.0-r9999[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
+ <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
+ <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
+ <=dev-python/oauthlib-1.0.3[${PYTHON_USEDEP}]
+ >=dev-python/pysaml2-2.4.0[${PYTHON_USEDEP}]
+ <=dev-python/pysaml2-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/dogpile-cache-0.5.4[${PYTHON_USEDEP}]
+ <=dev-python/dogpile-cache-0.5.7[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
+ ~dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
+ <=dev-python/pycadf-2.0.1[${PYTHON_USEDEP}]
+ ~dev-python/msgpack-0.4.6[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ "${FILESDIR}/CVE-2015-7546_8.0.1.patch"
+)
+
+pkg_setup() {
+ enewgroup keystone
+ enewuser keystone -1 -1 /var/lib/keystone keystone
+}
+
+python_prepare_all() {
+ # it's in git, but not in the tarball.....
+ sed -i '/^hacking/d' test-requirements.txt || die
+ mkdir -p ${PN}/tests/tmp/ || die
+ cp etc/keystone-paste.ini ${PN}/tests/tmp/ || die
+ distutils-r1_python_prepare_all
+}
+
+# Ignore (naughty) test_.py files & 1 test that connect to the network
+#-I 'test_keystoneclient*' \
+python_test() {
+ nosetests -I 'test_keystoneclient*' \
+ -e test_static_translated_string_is_Message \
+ -e test_get_token_id_error_handling \
+ -e test_provider_token_expiration_validation \
+ -e test_import --process-restartworker --process-timeout=60 || die "testsuite failed under python2.7"
+}
+
+python_install() {
+ distutils-r1_python_install
+ newconfd "${FILESDIR}/keystone.confd" keystone
+ newinitd "${FILESDIR}/keystone.initd" keystone
+
+ diropts -m 0750
+ keepdir /etc/keystone /var/log/keystone
+ insinto /etc/keystone
+ insopts -m0640 -okeystone -gkeystone
+ doins etc/keystone.conf.sample etc/logging.conf.sample
+ doins etc/default_catalog.templates etc/policy.json
+ doins etc/policy.v3cloudsample.json etc/keystone-paste.ini
+ insinto /etc/keystone/httpd
+ doins httpd/keystone.py httpd/wsgi-keystone.conf
+
+ fowners keystone:keystone /etc/keystone /var/log/keystone
+}
+
+pkg_postinst() {
+ elog "You might want to run:"
+ elog "emerge --config =${CATEGORY}/${PF}"
+ elog "if this is a new install."
+ elog "If you have not already configured your openssl installation"
+ elog "please do it by modifying /etc/ssl/openssl.cnf"
+ elog "BEFORE issuing the configuration command."
+ elog "Otherwise default values will be used."
+}
+
+pkg_config() {
+ if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
+ einfo "Press ENTER to configure the keystone PKI, or Control-C to abort now..."
+ read
+ "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user keystone --keystone-group keystone
+ else
+ einfo "keystone PKI certificates directory already present, skipping configuration"
+ fi
+}